//--------------------------------------------------------------------------
//
//		MyApplication Shell.
//			by John Wang
//
//		Description:	Shell.
//
//		Version:	1.0		09/07/93	Completed.
//
//--------------------------------------------------------------------------

//	#defines:

#define		topLeft(r)		(((Point *) &(r))[0])
#define		botRight(r)		(((Point *) &(r))[1])

//	Menus.
#define		MENUBAR				128
#define		MENU_APPLEID		128
#define		MENU_FILEID			129
#define		MENU_FILENEW		1
#define		MENU_FILEOPEN		2
#define		MENU_FILECLOSE		4
#define		MENU_FILESAVE		5
#define		MENU_FILESAVEAS		6
#define		MENU_FILEPAGESETUP	8
#define		MENU_FILEPRINT		9
#define		MENU_FILEQUIT		11
#define		MENU_EDITID			130
#define		MENU_EDITUNDO		1
#define		MENU_EDITCUT		3
#define		MENU_EDITCOPY		4
#define		MENU_EDITPASTE		5
#define		MENU_EDITCLEAR		6
#define		MENU_EDITSELECTALL	8
#define		MENU_EDITSHOWCLIP	10

//	Alert Resources.
#define		ALERT_ABOUT			128
#define		ALERT_ERROR			129

//--------------------------------------------------------------------------

//	Globals:

extern		Str255	gMyAboutTitle;
extern		Str255	gMyAboutDesc;

//--------------------------------------------------------------------------

//	Prototypes:

void			main(void);

void			MAS_initialize(void);
void			MAS_doCommand(long mResult);
void			MAS_adjustMenus(void);
void			MAS_finishup(void);

void			MAS_showClip(void);
void			MAS_drawClip(WindowPtr clipWindow);
void			MAS_hideClip(WindowPtr clipWindow);
void			MAS_zoomClip(WindowPtr clipWindow, Boolean zoomOut);

Boolean			MAS_ReportError(Str255 procStr, OSErr err);
void			MAS_GetGlobalWindow(WindowPtr theWindow, Rect *windowRect);

pascal OSErr	AEOpenHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr	AEOpenDocHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr	AEPrintHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr	AEQuitHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
